=== debian/changelog ===
libbpp-seq-omics (2.1.0-1ubuntu2) wily; urgency=medium

  * Drop hardcoded libbpp-seq9 dependency.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 16:28:33 +0100

libbpp-seq-omics (2.1.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 04:42:55 +0000

libbpp-seq-omics (2.1.0-1) unstable; urgency=low

  * Maf to VCF tool added as a MafIterator.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 06 Mar 2013 14:34:00 +0100

libbpp-seq-omics (2.0.3-1) unstable; urgency=low

  * Initial release, forking from bpp-seq.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 06 Nov 2012 14:05:00 +0100
