=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
   Bpp/Seq/Io/Maf/OutputMafIterator.cpp
   Bpp/Seq/Io/Maf/OutputAlignmentMafIterator.cpp
   Bpp/Seq/Io/Maf/VcfOutputMafIterator.cpp
+  Bpp/Seq/Io/Maf/CoordinatesOutputMafIterator.cpp
   Bpp/Seq/Io/Maf/SequenceStatisticsMafIterator.cpp
   Bpp/Seq/Io/Maf/WindowSplitMafIterator.cpp
   Bpp/Seq/Io/Maf/MafSequence.cpp
@@ -59,6 +60,7 @@
   Bpp/Seq/Io/Maf/OutputMafIterator.h
   Bpp/Seq/Io/Maf/OutputAlignmentMafIterator.h
   Bpp/Seq/Io/Maf/VcfOutputMafIterator.h
+  Bpp/Seq/Io/Maf/CoordinatesOutputMafIterator.h
   Bpp/Seq/Io/Maf/SequenceStatisticsMafIterator.h
   Bpp/Seq/Io/Maf/WindowSplitMafIterator.h
   Bpp/Seq/Io/Maf/MafStatistics.h
