=== debian/changelog ===
libbpp-seq-omics (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add watch file
  * Better description
  * Team maintenance in Debian Med team
  * cme fix dpkg-control
  * Source package in Section: science
  * debhelper 9
  * DEP5
  * short dh rules file using d-shlibs
  * Library transition
    Closes: #791100 

 -- Andreas Tille <tille@debian.org>  Fri, 22 Apr 2016 21:26:04 +0200
