=== debian/control ===
Source: libbpp-seq-omics
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               d-shlibs,
               libbpp-seq-dev (>= 2.2.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq-omics.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq-omics.git
Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page

Package: libbpp-seq-omics-dev
Architecture: any
Section: libdevel
Depends: libbpp-seq-omics1v5 (= ${binary:Version}),
         ${misc:Depends},
         libbpp-seq-dev (>= 2.2.0)
Description: Bio++ Sequence library: genomics components
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the static library and the header files of the
 Bio++ classes dedicated to genomic sequencing.

Package: libbpp-seq-omics1v5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: libbpp-seq-omics1
Replaces: libbpp-seq-omics1
Description: Bio++ Sequence library: genomics components
 Bio++ is a set of C++ libraries for Bioinformatics, including sequence
 analysis, phylogenetics, molecular evolution and population genetics.
 Bio++ is Object Oriented and is designed to be both easy to use and
 computer efficient. Bio++ intends to help programmers to write computer
 expensive programs, by providing them a set of re-usable tools.
 .
 This package contains the dynamic library of the Bio++ classes
 dedicated to genomic sequencing.
