=== debian/changelog ===
libbpp-seq-omics (2.3.1-5) unstable; urgency=medium

  [ Julien Dutheil ]
  * Does not override debian cxx flags anymore.

  [ Andreas Tille ]
  * Rebuild using gcc-7
  * Standards-Version: 4.0.1

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 06:53:33 +0200

libbpp-seq-omics (2.3.1-4) unstable; urgency=medium

  * Fixed unit test CMake file for more portability.
  * Removed postinst scripts etc.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 17 Jul 2017 22:56:32 +0200

libbpp-seq-omics (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
    Closes: #865901
  * d-shlibs (>= 0.80) contains needed override
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2017 10:10:20 +0200

libbpp-seq-omics (2.3.1-2) unstable; urgency=medium

  * Make sure cmake files will be installed also on i386

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 08:08:06 +0200

libbpp-seq-omics (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github
  * debhelper 10
  * Adapt package names to soversion change
  * Hardening

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2017 23:24:40 +0200
