=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
-               d-shlibs,
-               libbpp-seq-dev (>= 2.2.0)
-Standards-Version: 3.9.8
+               d-shlibs (>= 0.80),
+               libbpp-seq-dev (>= 2.3.1)
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq-omics.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq-omics.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -16,10 +16,10 @@
 Package: libbpp-seq-omics-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-seq-omics1v5 (= ${binary:Version}),
+Depends: libbpp-seq-omics2 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-seq-dev (>= 2.2.0)
-Description: Bio++ Sequence library: genomics components
+         libbpp-seq-dev (>= 2.3.1)
+Description: Bio++ Sequence library: genomics components (development files)
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
  Bio++ is Object Oriented and is designed to be both easy to use and
@@ -29,15 +29,13 @@
  This package contains the static library and the header files of the
  Bio++ classes dedicated to genomic sequencing.
 
-Package: libbpp-seq-omics1v5
+Package: libbpp-seq-omics2
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Conflicts: libbpp-seq-omics1
-Replaces: libbpp-seq-omics1
 Description: Bio++ Sequence library: genomics components
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
