=== src/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,8 @@
   Bpp/Seq/Io/Maf/MafStatistics.cpp
   Bpp/Seq/Io/Maf/MaskFilterMafIterator.cpp
   Bpp/Seq/Io/Maf/MsmcOutputMafIterator.cpp
+  Bpp/Seq/Io/Maf/TableOutputMafIterator.cpp
+  Bpp/Seq/Io/Maf/OrderFilterMafIterator.cpp
   Bpp/Seq/Io/Maf/OrphanSequenceFilterMafIterator.cpp
   Bpp/Seq/Io/Maf/OutputAlignmentMafIterator.cpp
   Bpp/Seq/Io/Maf/OutputMafIterator.cpp
