=== debian/changelog ===
libbpp-seq-omics (2.4.0-2ubuntu0.1) bionic-proposed; urgency=medium

  * SRU: LP: #1815080.
  * Add more template symbols to the symbols file (generated by GCC 7.4),
    and mark them as optional.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Feb 2019 17:56:59 +0100

libbpp-seq-omics (2.4.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Provide symbols file only for amd64
    Closes: #895212
  * Versioned Build-Depends: d-shlibs (>= 0.82)

  [ Andreas Tille ]
  * Provide full license text of CeCILL license
  * Point Vcs fields to salsa.debian.org

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 08 Apr 2018 18:29:27 +0200

libbpp-seq-omics (2.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 28 Mar 2018 10:00:23 +0200

libbpp-seq-omics (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * Standards-Version: 4.1.2

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Wed, 07 Feb 2018 10:45:02 +0200
