=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
-               d-shlibs (>= 0.80),
-               libbpp-seq-dev (>= 2.3.1)
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-seq-omics.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-seq-omics.git
+               d-shlibs (>= 0.82),
+               libbpp-seq-dev (>= 2.4.0)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-seq-omics
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-seq-omics.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
 
 Package: libbpp-seq-omics-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-seq-omics2 (= ${binary:Version}),
+Depends: libbpp-seq-omics3 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-seq-dev (>= 2.3.1)
+         libbpp-seq-dev (>= 2.4.0)
 Description: Bio++ Sequence library: genomics components (development files)
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -29,13 +29,13 @@
  This package contains the static library and the header files of the
  Bio++ classes dedicated to genomic sequencing.
 
-Package: libbpp-seq-omics2
+Package: libbpp-seq-omics3
 Architecture: any
+Multi-Arch: same
 Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
 Description: Bio++ Sequence library: genomics components
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
