=== debian/changelog ===
libbpp-seq-omics (2.4.1-7) unstable; urgency=medium

  * Apply multi-arch hints.
    + libbpp-seq-omics-dev: Add Multi-Arch: same.
  * Update symbols file
    Closes: #984092

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 18:47:10 +0200

libbpp-seq-omics (2.4.1-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Update symbols file
    Closes: #984092
  * Drop unneeded versioned Depends

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 12:08:43 +0200

libbpp-seq-omics (2.4.1-5) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Update symbols for gcc-10
    Closes: #957431

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 12:19:17 +0200

libbpp-seq-omics (2.4.1-4) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #925737
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 18:20:38 +0200

libbpp-seq-omics (2.4.1-3) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #924734

 -- Andreas Tille <tille@debian.org>  Sat, 16 Mar 2019 19:07:21 +0100

libbpp-seq-omics (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Easier way to provide symbols for amd64 only
  * Adapt symbols
    Closes: #917591
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 06 Jan 2019 17:30:24 +0100

libbpp-seq-omics (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version.
    Closes: #897785

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 20 Aug 2018 08:48:12 +0200
