=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               d-shlibs (>= 0.82),
-               libbpp-seq-dev (>= 2.4.0)
-Standards-Version: 4.1.3
+               d-shlibs,
+               libbpp-seq-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/libbpp-seq-omics
 Vcs-Git: https://salsa.debian.org/med-team/libbpp-seq-omics.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
+Rules-Requires-Root: no
 
 Package: libbpp-seq-omics-dev
 Architecture: any
 Section: libdevel
 Depends: libbpp-seq-omics3 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-seq-dev (>= 2.4.0)
+         libbpp-seq-dev
+Multi-Arch: same
 Description: Bio++ Sequence library: genomics components (development files)
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
