=== debian/watch ===
version=4

https://github.com/BioPP/bpp-seq-omics/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
